import request from '@/utils/request'
import defaultSettings from '@/settings'


// 登录
export function compressLogin(data, headers) {
	let query = data
	return request({
		url: defaultSettings.compressUrl + '/ocean-api/ocean-api/login',
		method: 'post',
		data: data,
		params: query
	})
}



// 获取摄像头列表
export function compressGetCameraList(data, headers) {
	let query = data
	return request({
		url: defaultSettings.compressUrl +
			'/ocean-api/ocean-api/forwardingManage/pageForwarding/taskResourceList',
		method: 'get',
		data: data,
		params: query,
		headers: headers
	})
}


// 播放请求
export function compressGetPlayStart(data, headers) {
	let query = data
	return request({
		url: defaultSettings.compressUrl + '/ocean-api/ocean-api/resource/play/start',
		method: 'get',
		data: data,
		params: query,
		headers: headers
	})
}